;InnoSetupVersion=3.0.1

[Setup]
AppName=Crazy Browser
AppVerName=Crazy Browser version 1.05
AppId=Crazy Browser
AppMutex=Multiple-WebBrowser-OneInstance
DefaultDirName={pf}\Crazy Browser
DefaultGroupName=Crazy Browser
UninstallDisplayIcon={app}\Crazy Browser.exe
OutputBaseFilename=setup
Compression=zip
PrivilegesRequired=none
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\Crazy Browser.exe"; DestDir: "{app}"; 
Source: "{app}\Help.chm"; DestDir: "{app}"; 
Source: "{app}\Crazy Browser.exe.manifest"; DestDir: "{app}"; 
Source: "{app}\Languages\English.ini"; DestDir: "{app}\Languages"; 
Source: "{app}\Languages\English.htm"; DestDir: "{app}\Languages"; 

[Dirs]
Name: "{app}\Groups"; 
Name: "{app}\ExtTools"; 

[INI]
FileName: "{app}\Browser.ini"; Section: "Location"; Key: "WindowState"; String: "wsMaximized"; Flags: createkeyifdoesntexist 
FileName: "{app}\Browser.ini"; Section: "ToolBar"; Key: "0"; String: "tlbMainMenu,0,398,1,1"; Flags: createkeyifdoesntexist 
FileName: "{app}\Browser.ini"; Section: "ToolBar"; Key: "1"; String: "tlbLinks,1,297,0,1"; Flags: createkeyifdoesntexist 
FileName: "{app}\Browser.ini"; Section: "ToolBar"; Key: "2"; String: "tlbStandardBtn,2,697,1,1"; Flags: createkeyifdoesntexist 
FileName: "{app}\Browser.ini"; Section: "ToolBar"; Key: "3"; String: "tlbUrlBox,3,697,1,1"; Flags: createkeyifdoesntexist 

[Run]
Filename: "{app}\Crazy Browser.exe"; Description: "Launch application"; Flags: postinstall skipifsilent nowait

[UninstallRun]
Filename: "{app}\Crazy Browser.exe"; Parameters: "/x"; 

[Icons]
Name: "{group}\Crazy Browser"; Filename: "{app}\Crazy Browser.exe"; 
Name: "{group}\Crazy Browser Help"; Filename: "{app}\Help.chm"; 
Name: "{group}\Uninstall"; Filename: "{uninstallexe}"; 
Name: "{userdesktop}\Crazy Browser"; Filename: "{app}\Crazy Browser.exe"; 

[UninstallDelete]
Type: files; Name: "{app}\Browser.ini"; 
